Package Intent Trainer Records - Cognigy Documentation
Package Intent Trainer Records
POST /v2.0/trainer/package
Try it
cURL
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/trainer/package \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"projectId": "<string>"
}
'```
### Python
```python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/trainer/package"
payload = { "projectId": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({projectId: '<string>'})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/trainer/package', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/trainer/package",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/trainer/package"
payload := strings.NewReader("{\n \"projectId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java (Unirest)
HttpResponse<String> response = Unirest.post("https://api-trial.cognigy.ai/new/v2.0/trainer/package")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": \"<string>\"\n}")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api-trial.cognigy.ai/new/v2.0/trainer/package")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body
Response Codes
- 202: Successfully created a Task to package TrainerRecords.
- 400: Bad Request Error.
- 401: Unauthorized Error.
- 402: Payment Required Error.
- 403: Forbidden Error.
- 404: Not Found Error.
- 405: Method Not Allowed Error.
- 409: Conflict Error.
- 413: Payload Too Large Error.
- 500: Internal Server Error.
- 501: Not Implemented Error.
- 502: Bad Gateway Error.
- 503: Service Unavailable Error.
- 504: Gateway Timeout Error.
Error Response Example
{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
Authorizations
- X-API-Key: Supply the API Key in the HTTP-Header.
Headers
- Accept: Specifies the media type that the client expects in the response. Available options:
application/json,application/hal+json,application/xml,text/xml,text/csv. The default value isapplication/json.
Body
- projectId: The unique identifier for the Project. Required string length:
24. Pattern:^[a-z0-9]{24}$.
Response Structure
{
"_id": "<string>",
"status": "queued",
"type": "trainIntents",
"parameters": {},
"lastChangedAt": 1594243850,
"lastCreatedAt": 1594243850,
"currentStep": 0,
"totalStep": 100
}